package ru.yandex.webmaster3.storage.user.notification;

import ru.yandex.webmaster3.core.data.WebmasterHostId;

import java.util.List;

/**
 * Created by ifilippov5 on 12.03.18.
 */
public class HostSetting {
    private final WebmasterHostId hostId;
    private final boolean pinned;
    private final List<Setting> settings;

    public HostSetting(WebmasterHostId hostId, boolean pinned, List<Setting> settings) {
        this.hostId = hostId;
        this.pinned = pinned;
        this.settings = settings;
    }

    public WebmasterHostId getHostId() {
        return hostId;
    }

    public boolean isPinned() {
        return pinned;
    }

    public List<Setting> getSettings() {
        return settings;
    }
}
